module.exports = function (grunt) {
    //
    try{
        require('/usr/share/nodejs/grunt-cli/node_modules/load-grunt-tasks')(grunt);
    } catch (e){
        require('load-grunt-tasks')(grunt);
    }

    // Вся настройка находится здесь
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),

        clean: [
            'web/css'
        ],

        copy: {
            css: {
                expand: true,
                src: [
                    'assets/css/tmp/style.css',
                ],
                dest: 'web/css/',
                flatten: true
            },
        },

        less: {
            a: {
                options: {
                    compress: false,
                    sourcemap: 'none'
                },
                files: {
                    'assets/css/tmp/_styles.css': 'assets/less/style.less',
                }
            }
        },


        concat: { // что будем склеивать
            css:{
                src: [
                    'assets/css/tmp/_styles.css',
                ],
                dest: 'assets/css/styles.css'
            }
        },

        cssmin: {
            options: {
                keepSpecialComments: 0, 	// затрем все комментарии
                mergeIntoShorthands: false,
                roundingPrecision: -1,
                sourceMap: false
            },
            target: {
                files: {
                    'web/css/site.min.css': ['assets/css/styles.css'],
                }
            }
        },
    });

    // less
    grunt.loadNpmTasks('grunt-contrib-less');

    // concat
    grunt.loadNpmTasks('grunt-contrib-concat');

    // минификация css
    grunt.loadNpmTasks('grunt-contrib-cssmin');

    // clean
    grunt.loadNpmTasks('grunt-contrib-clean');

    // copy
    grunt.loadNpmTasks('grunt-contrib-copy');


    // Указываем, какие задачи выполняются, когда мы вводим «grunt» в терминале
    grunt.registerTask('default', [
        'less',
        'concat',
        'copy',
        'cssmin'
    ]);
};
