<?php
namespace app\modules\manager\assets;

use yii\web\AssetBundle;
use yii\web\View;

class AdminAsset extends AssetBundle
{
    public $sourcePath = '@app/web/components/admin';

	public $basePath = '@webroot/components/admin';
    public $baseUrl = '@web/components/admin';


    public $css = [
        'css/style.css',
        'css/tags.css',
		'ckeditor/contents.css',
		'/css/site.min.css',
		'jquery-cropper/cropper.min.css'
    ];
    public $js = [
        'ckeditor/ckeditor.js',
        'js/admin.js',
		'/js/chart.min.js',
        '/js/widget2chart.js',
		'/js/ifvisible.min.js',
		'jquery-cropper/cropper.min.js',
		'jquery-cropper/jquery-cropper.min.js',
		'js/tags.js'
    ];
    public $depends = [
        'yii\web\YiiAsset',
		'yii\jui\JuiAsset'
    ];

    public $jsOptions = [
        'position' => View::POS_HEAD
    ];
	public function init()
    {
        parent::init();
        // resetting BootstrapAsset to not load own css files
        \Yii::$app->assetManager->bundles['yii\\bootstrap\\BootstrapAsset'] = [
            'css' => [],
            'js' => []
        ];
        \Yii::$app->assetManager->bundles['yii\\web\\JqueryAsset'] = [
            'css' => [],
            'js' => []
        ];
        \Yii::$app->assetManager->bundles['yii\\jui\\JuiAsset'] = [
            'js' => ['jquery-ui.min.js']
        ];
        \Yii::$app->assetManager->bundles['yii\\web\\YiiAsset'] = [
            'jsOptions' => []
        ];

    }
}

