<?php
namespace manager\controllers;
use  Yii;
use  \app\models\base\Tags;
use  \app\models\base\TagsRelation;
use  \app\helpers\Transliterator;


class TagsController extends BaseController
{

// ** Статьи (новости) **

    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        return $this->render("/tags/index",[]);
    }


	public function actionDel($id)
    {
		$model = $this->findModel($id);
		if($model) $model->del($id);
        return $this->render("/tags/index", []);
    }

    public function actionShow($id)
    {
		$model = $this->findModel($id);
		if($model) $model->Show($id);
		Yii::$app->cache->delete("archive_tags-{$id}");
        return $this->redirect('index');
    }

    public function actionMerge($id)
    {
		$model = $this->findModel($id);
		return $this->render('/tags/merge', ['model'=>$model]);
    }
    public function actionMergeto($id, $idto)
    {
//		echo $id.":".$idto;
		$tagsr = new TagsRelation();
		$tagsr->mergeTags( $id, $idto ); // слияние в тэг (id) тэг ($idto) и удаление $idto
		return $this->redirect('index');
    }

    public function actionActive($id)
    {
		$model = $this->findModel($id);
		if($model) $model->Active($id);
		Yii::$app->cache->delete("archive_tags-{$id}");
        return $this->redirect('index');
    }

    public function actionSort()
    {
		if (isset($_POST['item']) && is_array($_POST['item'])) {
			$i = 0;
			$a = array();
			// beginTransaction(); было бы неплохо обернуть в транзакцию но хз как это сделать
			foreach ($_POST['item'] as $item) {
				$model = $this->findModel($item);
				$model->order = $i;
				$a[$model->id] = $i;
				$model->save(true, ['order']);
//				print_a($model->errors);
				$i++;
			}
//			Yii::$app->cache->delete("archive_rubrics-");
			return json_encode(['status'=>'ok','data'=>$a]);
		}
		return json_encode(['status'=>'err']);
    }

    public function actionSearch()
    {
		if (Yii::$app->request->isGet && $get = Yii::$app->request->get('q')){
			$model = new Tags();
			$get = mb_strlen( $get ) < 6?$get.'*':$get;
			$items = $model->search($get, 10);
			$res = array();
			if( $items && is_array( $items ) ){
				foreach( $items as $item ){
					$res[] = array( 'id'=>$item['id']*1, 'name'=>$item['title'] );
				}
				return json_encode( $res );
			}
		}
        return json_encode( [] );
    }

    public function actionAjaxtag()
    {
		if (Yii::$app->request->isGet && $get = Yii::$app->request->get('q')){
			$model = new Tags();
			$get = mb_strlen( $get ) < 6?$get.'*':$get;
			$items = $model->search($get, 10);
			$res = array();
			if( $items && is_array( $items ) ){
				foreach( $items as $item ){
					$res[] = array( 'id'=>$item['id']*1, 'label'=>$item['title'] );
				}
				return json_encode( ['status'=>'ok', 'item'=>$res] );
			}
		}
        return json_encode( ['status'=>'err'] );
    }


    public function actionCreate()
    {
		$model = new Tags();
        if (Yii::$app->request->isPost && Yii::$app->request->post()){
			if($model->load($_POST) && $model->save()){
				if (is_uploaded_file($_FILES['Tags']['tmp_name']['photo'])) {
				//	$id = -1; //test
					$model->saveImg($model->id, $_FILES['Tags']['tmp_name']['photo'], $_FILES['Tags']['type']['photo']);
					Yii::$app->cache->delete("archive_tags-{$model->id}");
				}
			}else{
				print_a($model->errors);
				return $this->render('/tags/Create', ['model'=>$model]);
			}
            return $this->redirect('index');
        }
        return $this->render('/tags/Create', ['model'=>$model]);
    }

	public function actionUpdate($id)
    {
		$model = $this->findModel($id);
        if (Yii::$app->request->isPost && Yii::$app->request->post()){
		if($model->load($_POST) && $model->save()){
			// обновление фото
				if (is_uploaded_file($_FILES['Tags']['tmp_name']['photo'])) {
					$model->saveImg($model->id, $_FILES['Tags']['tmp_name']['photo'], $_FILES['Tags']['type']['photo']);
					Yii::$app->cache->delete("archive_tags-{$id}");
				}
			}else{
				print_a($model->errors);
				return $this->render('/tags/Update', ['model'=>$model]);
			}
            return $this->redirect('index');
        }
        return $this->render('/tags/Update', ['model'=>$model]);
    }


   /**
     * Найти Tags.
     *
     * @param $id
     * @return Story|null
     * @throws NotFoundHttpException
     */
    protected function findModel($id)
    {
        if (($model = Tags::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('Ой! рубрика не найдена.');
        return false;
    }
}
