<?php

namespace manager\models;

use Yii;
use yii\helpers\ArrayHelper;
use yii\db\ActiveRecord;
use yii\helpers\FileHelper;

class Docs extends ActiveRecord
{
	/**
     * @var string
     */
	public static $story_dir = '/images/docs';
	public  $file = null;
//	public  $cat = '';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'docs';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['title', 'uid'], 'required'],
            [['title', 'text', 'uid', 'cat'], 'string'],
            [['id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'title' => 'Наименование',
            'text' => 'Описание',
            'uid' => 'уникальный код',
            'id' => 'ID',
			'cat' => 'Папка'
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function CatCreate( $cat )
    {
		$directory = FileHelper::normalizePath( Yii::getAlias('@webroot') . DIRECTORY_SEPARATOR . self::$story_dir . DIRECTORY_SEPARATOR. $cat );
		if( file_exists( $directory ) ){
			Yii::$app->session->setFlash('err', 'Папка существует: '.$cat);
			return false;
		}
		if( !FileHelper::createDirectory( $directory) ){
			Yii::$app->session->setFlash('err', 'Ошибка создания папки: '.$cat);
			return false;
		}

		Yii::$app->session->setFlash('success', 'Создать папку '.$cat);
		return true;
	}

    public function GetCat()
    {
		$cat = '/'.Yii::$app->request->get('cat', '');
		return FileHelper::normalizePath( Yii::getAlias('@webroot') . DIRECTORY_SEPARATOR . self::$story_dir.$cat );
	}

    public function GetUrl()
    {
		$cat = '/'.Yii::$app->request->get('cat', '');
		return FileHelper::normalizePath( DIRECTORY_SEPARATOR . self::$story_dir.$cat );
	}

	public function GetRootCat()
    {
		return FileHelper::normalizePath( Yii::getAlias('@webroot') . DIRECTORY_SEPARATOR . self::$story_dir );
	}

}
