<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var app\models\Page $model */

$this->title = $model->title;
$this->params['breadcrumbs'][] = ['label' => 'Pages', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="page-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'status',
            'menu',
            'created',
            'updated',
            'create_user_id',
            'update_user_id',
            'parent_id',
            'title',
            'title_menu',
            'title_seo',
            'description_seo',
            'keywords_seo',
            'key',
            'norder',
            'path',
            'content:ntext',
            'index_controller',
            'index_action',
            'view_controller',
            'view_action',
            'index_params',
            'lang',
            'layout',
        ],
    ]) ?>

</div>
