<?php

use yii\helpers\Html;
use yii\helpers\Url;

/**
 * @var $this \yii\web\View
 */
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html amp lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
	<meta name="robots" content="max-image-preview:large">
    <title><?= $this->title ?></title>
    <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
	<link rel="shortcut icon" href="/img/favicon/favicon.svg" type="image/x-icon"/>
	<link rel="icon" type="image/svg+xml" href="/img/favicon/favicon.svg">
    <link href="https://fonts.googleapis.com/css?family=Roboto:200,300,400,500,700" rel="stylesheet" type="text/css">
    <!-- Required for AMP -->
	<script async src="https://cdn.ampproject.org/v0.js"></script>
	<script async custom-element="amp-analytics" src="https://cdn.ampproject.org/v0/amp-analytics-0.1.js"></script>
	<script async custom-element="amp-ad" src="https://cdn.ampproject.org/v0/amp-ad-0.1.js"></script>
	<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
    <?=$this->context->scripts?>
    <style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style>
    <noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>
    <?= str_replace("  ",' ',$this->render('amp/style')); ?>
    <!-- Required for AMP -->
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>
<div class="main-content">

<header class="amp-header ampstart-headerbar fixed flex justify-start items-center top-0 left-0 right-0 pl2 pr4" >
      <div role="button" aria-label="open sidebar" on="tap:header-sidebar.toggle" tabindex="0" class="ampstart-navbar-trigger pr2" >
        ☰
      </div>
      <a href="<?= Url::to('/', 'https') ?>" class="amp-logo">
		<amp-img src="/img/amic-logo.svg" width="100" height="61.3" layout="fixed" class="my0 mx-auto" alt="The Blog" ></amp-img>
	  </a>
</header>
<amp-sidebar id="header-sidebar" class="ampstart-sidebar px3" layout="nodisplay" >
      <div class="flex justify-start items-center ampstart-sidebar-header">
        <div role="button" aria-label="close sidebar" on="tap:header-sidebar.toggle" tabindex="0" class="ampstart-navbar-trigger items-start" >
          ✕
        </div>
      </div>

      <ul class="list-reset m0 p0 ampstart-label" >
		<?= $this->render('amp/menu'); ?>
      </ul>
      <ul class="ampstart-sidebar-faq list-reset m0">
		<li>
			<a href="https://fmprod.ru/radiostantsii/item/evropa-plyus/" target="_blank" class="button_grey">
                <span class="button__icon">
					<span class="button__text tg">▶ Слушать радио</span>
				</span>
			</a>
		</li>
		<li>
            <a href="https://t.me/amic_ru" target="_blank" class="button_grey">
                <span class="button__icon">
                   <svg style="width: 17px;height: 14px;" class="icon icon-tg"><use xlink:href="/svg/symbol/sprite-styled.svg#tg"></use></svg>
                </span>
              <span class="button__text tg">&nbsp;Телеграм</span>
           </a>
            </li>
	   </ul>
      <ul class="ampstart-sidebar-faq list-reset m0">
        <li class="ampstart-faq-item">
          <a href="/" class="text-decoration-none">О сайте</a>
        </li>
        <li class="ampstart-faq-item">
          <a href="/amic_price_2023.pdf" class="text-decoration-none">Реклама на сайте</a>
        </li>
      </ul>
    </amp-sidebar>
    <!-- End Sidebar -->
    <!-- End Navbar -->


    <main id="content" role="main" class="">
      <article class="recipe-article">
		<div class="amp-content">
			<?= $content ?>
		</div>
      </article>
    </main>
	<?= $this->render('amp/ad'); ?>
</div>

	<?= $this->render('amp/footer'); ?>
	<?= $this->render('amp/analytics'); ?>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
