<?php
/**
 * @var $this \yii\web\View
 * @var $model \app\models\News
 * @var $index integer
 */

use yii\helpers\ArrayHelper;

?>
<div class="row">
    <div class="col-md-8">
        <div id="post-<?=$model->id?>" class="post">
            <?//= Yii::$app->user->can('admin') ? $this->render('@app/views/news/view/admin/edit_btn', ['model'=>$model]) : "";?>

            <?=$this->render("/layouts/breadcrumbs")?>
            <h1><a href="<?=$model->getUrl()?>"><?=$model->title?></a></h1>
            <p class="lead"><?=$model->lid?></p>
            <p class="published_at">
                <?=$model->publishedAt?> <?=date("Y, H:m")?>
                <?php if(($count = $model->getCommentsAll()->count())>0):?>
                    <span class="commnets">&nbsp;<svg class="icon icon-comments"><use xlink:href="/svg/symbol/sprite-clear.svg#comments"></use></svg><?=$count?></span>
                <?php endif;?>
            </p>

            <p>
            <?php if($model->photo_include == 'Y' && $model->image instanceof \app\models\base\Image):?>
                <a href="<?=$model->getUrl()?>">
                    <div class="picture-cont-16x9">
                        <picture class="w-100">
                            <source srcset="<?=$model->image->url?>" media="(min-width: 600px)">
                            <img src="<?=$model->image->url?>" alt="<?=$model->photo_title?>" class="w-100">
                        </picture>
                    </div>
                </a>
            <?php endif;?>
            </p>
            <section class="read_more text-center">
                <a href="<?=$model->getUrl()?>" class="button button_grey">Читать полностью</a>
            </section>
        </div>
    </div>
</div>
<?php if(($index % 5) == 0 && $index!=0):?>
    <?=$this->render('@app/views/_etc/banners/partner3D',["index"=>$index])?>
    <?=$this->render('@app/views/_etc/banners/partner2D',["index"=>$index])?>
    <?=$this->render('@app/views/_etc/banners/partner1D',["index"=>$index])?>
<?php endif;?>
