<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;

Yii::$app->og->title = 'Страница не найдена';
Yii::$app->og->description = 'Страница с ошибкой 404 - страница не найдена.';
Yii::$app->og->canonical =   	'/404';
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <h2>
        Воспользуйтесь поиском или меню сайта.
    </h2>

<div class="row">
  <div class="col-sm-4">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Искать на сайте</h5>
        <p class="card-text">Вы можете воспользоватся встроенным поиском на сайте.</p>
        <a href="/search" class="btn btn-primary">Перейти в поиск</a>
      </div>
    </div>
  </div>
  <div class="col-sm-4">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Лента новостей и статей</h5>
        <p class="card-text">Вы можете перейти в текущую ленту новостей и статей или архив.</p>
        <a href="/news" class="btn btn-primary">Перейти в ленту новостей</a>
      </div>
    </div>
  </div>
  <div class="col-sm-4">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Главная страница</h5>
        <p class="card-text">Основная сюжетная линия на сайте на текущий день.</p>
        <a href="/" class="btn btn-primary">Перейти на главную страницу</a>
      </div>
    </div>
  </div>
</div>


</div>
